# List Devices

Get ` https://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/software`

List software available to preload on the specified device.

RBAC Capability Required: `fleet.devicesoftware.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** `string` Required
- **name** `string` Required

## Query parameters

- **$orderby** `string` Optional  
  Specifies the key by which the result collection should be ordered.
- **$filter** `string` Optional  
  Restricts the set of items returned.
- **$top** `string` Optional  
  Specifies a non-negative integer `n` that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value `n`.
- **$skiptoken** `string` Optional  
  Specifies a start offset to support paginated results.  
  Use `@odata.nextLink` in the result object to enumerate the collection - it will be present only if there's more than one page of entities.
- **$label_key** `string` Optional  
  Filters the set to the specified label key.  
  If multiple $label_keys are specified, matching items must have all labels.
- **$label** `string` Optional  
  Filters the set to the specified label key/value pair.  
  Supports equality, inequality, and inexact matching. If multiple values are provided for the same key, items matching either value will be returned.

## Response

### 200 A list of software

- **@odata.nextLink** `string` Optional  
  @odata.nextLink URL if the page length and number of items match.
- **supplemental** `object` [ListResponseSupplementalSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/listresponsesupplementalschema) Required  
  Supplemental info
  - **count** `integer` Required  
    Number of items returned
  - **kind** `string` Required  
    Type of items in the list
  - **operation** `string` Required  
    Operation type. Should always say 'list'
  - **pagination** `object` [PaginationInfoSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/paginationinfoschema) Required  
    Pagination info
    - **end** `integer` Required  
      Position of the last item in the list
    - **records** `integer` Required  
      Total number of items returned in the list
    - **start** `integer` Required  
      Position of the first item in the list
    - **total** `integer` Required  
      Total number of items in the project
  - **subscription** `object` [ProjectInfoSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/projectinfoschema) Optional  
    Project info
    - **id** `string` Required  
      Project ID
    - **name** `string` Required  
      Project name
  - **value** `list of objects` [DeviceSoftwareGetBody](https://docs.mediakind.com/api-reference/fleets-api/schemas/devicesoftwaregetbody) Required  
    A list of software versions available for this device.
    - **kind** `string` Optional  
      Software
    - **metadata** `object` [DefaultMetadata](https://docs.mediakind.com/api-reference/fleets-api/schemas/defaultmetadata) Required  
      Software metadata.
      - **displayName** `string` Required  
        A human-readable name for the resource.
      - **labels** `map from strings to string` Optional  
        A dictionary of labels associated with the resource.
        Maximum number of labels: 32. Maximum length of a label or value: 256 characters.  
      
    - **spec** `object` [SoftwareGetSpec](https://docs.mediakind.com/api-reference/fleets-api/schemas/softwaregetspec) Required  
      Software specification.
      - **deprecatedOn** `string` Optional  
        The date the software was deprecated.
      - **displayName** `string` Optional  
        An optional display name of the software.
      - **minimumVersion** `string` Optional  
        Minimum software version required on a standalone device before upgrading to this release.
      - **minimumVersionHA** `string` Optional  
        Minimum software version required on an HA node before upgrading to this release.
      - **released** `string` Required  
        The date the software was released.
      - **version** `string` Optional  
        A version string.
    
### Errors

- **400 Bad Request**
  - **error** `object` [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) Required  
    Pertinent information about the error
    - **code** `string` Required  
      The error code.
    - **detail** `string` Required  
      The error message.
    - **extraDetail** `map from strings to any` Optional  
      Extra information regarding this error.
      - **[any key]** `any`
    - **ref** `string` Required  
      A reference to the request that caused the error.
    - **status** `integer` Required  
      The HTTP status code

- **401 Unauthorized**  
....

- **403 Forbidden**  
....

- **404 Not Found**  
....

- **429 Too Many Requests**  
....

- **500 Internal Server Error**  
....
